Installer - Bug #21072

API controllers newer than Apipie cache
09/22/2017 08:42 AM - Martin Bacovsky

Status: Closed

Priority: Normal
Assignee: Martin Bacovsky
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1490070 Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman/pull/592

Description
Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1490070

Description of problem:

On Sat 6.2.11, i was getting the message: "API controllers newer than Apipie cache! Run apipie:cache rake task to regenerate
cache."

| did not realize that this was an error. (maybe the message should be red colored instead of orange.)
Also, i do not know if this breaks something or not.

| had to execute the "apipie:cache" rake task manually and it went away.
While it went away, i did not realize that is was something that i needed to act upon.

| do expect that to be performed by the "satellite-installer" program in te proper order and time.
Thanks in advance.

Version-Release number of selected component (if applicable):
6.2.11

How reproducible:
always

Steps to Reproduce:
1. Install Sat 6.2.x

2. Stop Sat6 services  # katello-service stop
3. Upgrade Packages # yum update -y

4. Run Sat6 installer in upgrade mode  # satellite-installer --scenario=satellite --upgrade
| was getting the message at this point.

5. Check Services # katello-service status  # systemctl list-units --state failed

6. Reboot and check services again  # systemctl reboot # katello-service status # systemctl list-units --state failed
Actual results:

| was getting this message (repeated several times) during the step #4 -> "API| controllers newer than Apipie cache! Run
apipie:cache rake task to regenerate cache.”

| don't know if the messages does have any particual effect or not on the product.

Expected results:
As it is, i do expect that the "satellite-installer” in "upgrade mode" to actually "upgrade” itself and perform the necessary migrations.

If that is an actual failure of a step of "satellite-installer", then please adjust the message somewhat. It looks unimportant. (change the
color to red?)

Also make sure that the exit code of "satellite-installer" is not 0 when the message is emitted. (i did not test it)
Additional info:
After executing:
1. satellite-installer --scenario=satellite --upgrade
| executed (no errrors):
1. foreman-rake apipie:cache:index --trace
And then inmediatelly i executed:
1. satellite-installer --scenario=satellite --upgrade

The messages were not shown this time.

Associated revisions

Revision 742daie5 - 12/14/2017 04:24 PM - Martin Bacovsky
Fixes #21072 - build apipie cache after plugins

Installation of the plugins can influence the API
and the apipie cache needs to be refreshed after that.

Revision e16aa609 - 12/14/2017 04:24 PM - Martin Bacovsky

Refs #21072 - removed unrelated test

History

#1 - 09/22/2017 08:46 AM - Martin Bacovsky
- Project changed from Foreman to Installer

- Category set to Foreman modules

- Status changed from New to Assigned

- Assignee set to Martin Bacovsky

- Target version set to 223

#2 - 09/22/2017 09:08 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman/pull/592 added

#3 - 12/14/2017 05:01 PM - Martin Bacovsky
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman|742da1e59{6f701624e9974ce387a018d3773291.
